Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.palette
Class PaletteFactory.Adapter

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.services.palette.PaletteFactory.Adapter

All Implemented Interfaces:
  PaletteFactory

Enclosing class:
  PaletteFactory

public static class PaletteFactory.Adapter
extends java.lang.Object
implements PaletteFactory

An empty adapter for the interface

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.diagram.ui.services.palette.PaletteFactory
`PaletteFactory.Adapter`

Constructor Summary
`PaletteFactory.Adapter()`

Method Summary
`Tool` `createTool(java.lang.String toolId)` Creates a new instance of the tool with the given id
`java.lang.Object` `getTemplate(java.lang.String templateId)` Gets the palette template with the given id

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaletteFactory.Adapter

    public PaletteFactory.Adapter()

Method Detail

### getTemplate

    public java.lang.Object getTemplate(java.lang.String templateId)

  Description copied from interface: `PaletteFactory`
  Gets the palette template with the given id

  Specified by:
    `getTemplate` in interface `PaletteFactory`
  Parameters:
    `templateId` - The template id
  Returns:
    the template
  See Also:
    `PaletteFactory.getTemplate(java.lang.String)`

### createTool

    public Tool createTool(java.lang.String toolId)

  Description copied from interface: `PaletteFactory`
  Creates a new instance of the tool with the given id

  Specified by:
    `createTool` in interface `PaletteFactory`
  Parameters:
    `toolId` - The tool Id
  Returns:
    the created tool
  See Also:
    `PaletteFactory.createTool(java.lang.String)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.